Bug 394611 - anaconda produces a black screen when X11 install proceeds on X1650
anaconda produces a black screen when X11 install proceeds on X1650
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 12:11 EST by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 10:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-11-21 12:11:47 EST
Description of problem:
When installing Fedora 8 x86_64 on a workstation with a Radeon X1650 Pro PCIE
card, anaconda identifies the card and then the screen goes black as the X11
based installer window should appear.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Boot the Fedora 8 x86_64 installer DVD on a workstation with a Radeon X1650
Pro PCIE graphics card.
2. Select the default GUI installation method.

  
Actual results:
After the media check, anaconda probes the video card and the screen goes black
when the X11 based installation windows should appear. At this point, I can't
get to a virtual console to check the status of the X11 startup. Attempts to
pass the 'xserver=vesa' option on the kernel flags to the installer don't help.
Anaconda doesn't honor this flag and always seems to be trying to start up X11
with the radeon driver.

Expected results:
The 'xdriver=vesa' kernel option should have at least allowed me to force
anaconda to use the vesa driver so that the X11 based GUI installer option would
be available.

Additional info:
Comment 1 Need Real Name 2007-11-21 13:09:38 EST
I still think (despite the reassignment of this bug to the xorg-x11-drv-ati
maintainer) that the anaconda maintainer should still be involved. The question
remains as to why 'xdriver=vesa' is not honored by anaconda. I'll guess I'll
file that as a different bug.
Comment 2 Matěj Cepl 2007-11-22 11:03:52 EST
Unfortunately, I have to say as a xorg bugs bugmaster, that our X server should
just work without any kernel paramters magic.

Have you managed to install the Fedora 8 with text-based installation? If yes,
could you give us please file /var/log/anaconda.xlog from the failed graphical
installation? If you managed to install, does your X work now? Could we get also
as a separate uncompressed attachments both /etc/X11/xorg.conf and
/var/log/Xorg.0.log?
Comment 3 Matěj Cepl 2008-01-17 09:33:50 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2008-02-21 10:08:41 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.